Bug 980792 - tar --selinux -cpf b.tar partial_file_name<TAB> => freeze instead of completion
Summary: tar --selinux -cpf b.tar partial_file_name<TAB> => freeze instead of completion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: 22
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 08:55 UTC by Frantisek Kluknavsky
Modified: 2016-07-20 04:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:02:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Frantisek Kluknavsky 2013-07-03 08:55:39 UTC
Description of problem:
In interactive bash command line:
tar --selinux -cpf b.tar partial_file_name
Hitting tabulator does not complete the file name, bash does not respond anymore.

Version-Release number of selected component (if applicable):
bash-completion-2.0-1.fc17.noarch
bash-4.2.39-3.fc17.x86_64

How reproducible:
For me always.

Steps to Reproduce:
1. Run bash interactive console.
2. Create a file named e.g. "file_name" in current working directory
3. Type tar --selinux -cpf b.tar file_na
4. Hit tabulator key

Actual results:
Bash does not respond anymore.

Expected results:
Completed file_name.

Additional info:
--acls instead of --selinux also causes the problem.
Without --selinux (or any other --flag) completion works.
Freezed bash responds to Control + c.
Escape /  instead of tabulator works.
top does not show high cpu load.

Comment 1 Frantisek Kluknavsky 2013-07-03 09:11:23 UTC
After uninstalling bash-completion, problem is still reproduceable in running bash instance. Not reproduceable in new bash instances. Reproduceable again after reinstalling bash-completion.

Comment 2 Roman Rakus 2013-07-03 09:18:16 UTC
(In reply to Frantisek Kluknavsky from comment #1)
> After uninstalling bash-completion, problem is still reproduceable in
> running bash instance. Not reproduceable in new bash instances.
> Reproduceable again after reinstalling bash-completion.

It's because the currently running bash has completions loaded in memory. It is also possible to remove all programmable completions in the current bash by `complete -r'.

Comment 3 Roman Rakus 2013-07-03 09:25:05 UTC
This running process is suspicious:
tar t b.tar

Seems the problem is only in completion script.

Comment 4 Fedora End Of Life 2013-07-04 04:12:33 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2013-08-01 12:59:27 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Frantisek Kluknavsky 2013-08-01 13:03:54 UTC
Reproduced in Fedora 19, reopening.

Comment 7 Pavel Raiskup 2013-10-10 15:27:45 UTC
I really don't think the file /usr/share/bash-completion/completions/tar
helps so much nowadays, it is quite obsoleted.  As a sipmple answer to this
quiestion would be to not install that file (at least until it is fixed
upstream properly).

Comment 8 Fedora End Of Life 2015-01-09 22:10:36 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Frantisek Kluknavsky 2015-01-12 10:08:05 UTC
The same in F20.

Comment 10 Pavel Raiskup 2015-01-12 11:50:51 UTC
Ville, it is some time I proposed [1] patch for tar command completion
upstream, and I see that it may take some time to review.

Do you think it is worth distributing the tar completion as a part of
(downstream) tar package meanwhile?

[1] http://lists.alioth.debian.org/pipermail/bash-completion-devel/2014-November/005730.html

Comment 11 Fedora End Of Life 2015-05-29 09:09:11 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Pavel Raiskup 2015-06-01 10:51:15 UTC
Still waiting for Ville/usptream cooperation.

Comment 13 Ville Skyttä 2015-06-01 16:30:04 UTC
Pavel's stuff is now in upstream git, continuing followup discussion on upstream ML if required.

Comment 14 Fedora End Of Life 2016-07-19 20:02:31 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Pavel Raiskup 2016-07-20 04:16:05 UTC
Works fine in latest bash-completion.


Note You need to log in before you can comment on or make changes to this bug.